## org.eclipse.emf.importer.ecore
Class EcoreImporter

    java.lang.Object
      org.eclipse.emf.converter.ModelConverter
          org.eclipse.emf.importer.ModelImporter
              org.eclipse.emf.importer.ecore.EcoreImporter

    public class EcoreImporter

extends ModelImporter

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.importer.ModelImporter
`ModelImporter.EPackageImportInfo`

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ModelConverter
`ModelConverter.EPackageConvertInfo, ModelConverter.ReferencedEPackageFilter, ModelConverter.ReferencedGenPackageConvertInfo`

Field Summary

Fields inherited from class org.eclipse.emf.importer.ModelImporter
`fileExtensions, GENANNOTATION_SOURCE_PREFIX, genModelContainerPath, genModelFileName, genModelPath, genModelProjectLocation, modelLocation, modelLocationURIs, modelPluginDirectory, modelPluginID, originalGenModel, originalGenModelPath, projectName, usePlatformURI, workspaceRoot`

Fields inherited from class org.eclipse.emf.converter.ModelConverter
`ePackages, ePackageToInfoMap, externalGenModelList, externalGenModelResourceSet, genModel, referencedEPackageFilter, referencedEPackageFilterToConvert, referencedGenPackages, referencedGenPackageToInfoMap`

Constructor Summary
`EcoreImporter()`

Method Summary
`void` `addToResource(EPackage ePackage, ResourceSet resourceSet)`
`protected void` `adjustGenModel(Monitor monitor)`
`protected Diagnostic` `doComputeEPackages(Monitor monitor)`
`java.lang.String` `getID()`
`protected void` `handleOriginalGenModel()` Subclasses may overwrite this method to perform actions on the reloaded genmodel.

Methods inherited from class org.eclipse.emf.importer.ModelImporter

`addGenModelToResource, adjustEPackage, adjustEPackages, adjustGenPackageDuringTraverse, adjustUsedGenPackages, canConvert, checkEcoreModelFileName, checkGenModelFileName, computeDefaultGenModelFileName, computeEPackages, computeEPackagesBeingReloaded, computeGenModelContainerPath, computeModelProjectName, computeResourcesToBeSaved, createEPackageInfo, createExternalGenModelResourceSet, createFileURI, createProject, defineOriginalGenModelPath, dispose, getConverterGenAnnotationSource, getEcoreSaveOptions, getEPackageImportInfo, getFileExtensions, getFirstModelLocationURI, getGenModel, getGenModelContainerPath, getGenModelDefaultFolderPath, getGenModelFileName, getGenModelPath, getGenModelProjectLocation, getGenModelResourceSet, getGenPackage, getModelLocation, getModelLocationURIs, getModelPluginDirectory, getModelPluginID, getModelProjectName, getOriginalGenModel, getOriginalGenModelPath, getWorkspaceRoot, loadOriginalGenModel, makeAbsolute, makeRelative, prepareGenModelAndEPackages, presetEPackagesToGenerate, saveGenModelAndEPackages, setGenModelContainerPath, setGenModelFileName, setGenModelProjectLocation, setModelFile, setModelLocation, setModelPluginDirectory, setModelPluginID, setModelProjectName, setUsePlatformURI, traverseGenPackages, usePlatformURI`

Methods inherited from class org.eclipse.emf.converter.ModelConverter

`clearEPackageConvertInfoCache, clearEPackagesCollections, clearReferenceGenPackageConvertInfoCache, computeEPackagesToConvert, computeValidReferencedGenPackages, createEPackagesList, createGenPackageConvertInfo, createReferencedEPackageFilter, createReferencedEPackageFilterToConvert, createReferencedGenPackagesList, createResourceSet, filterReferencedEPackages, filterReferencedEPackagesToConvert, getEPackageConvertInfo, getEPackages, getEPackageToInfoMap, getExternalGenModels, getGenmodelSaveOptions, getGenModelSaveOptions, getReferencedGenPackages, getReferencedGenPackageToInfoMap, getReferenceGenPackageConvertInfo, getReferredEPackage, makeEPackageConvertDataUnique`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreImporter

    public EcoreImporter()

Method Detail

### getID

    public java.lang.String getID()

  Specified by:
    `getID` in class `ModelConverter`

### doComputeEPackages

    protected Diagnostic doComputeEPackages(Monitor monitor)
                                     throws java.lang.Exception

  Overrides:
    `doComputeEPackages` in class `ModelImporter`
  Throws:
    `java.lang.Exception`

### addToResource

    public void addToResource(EPackage ePackage,
                              ResourceSet resourceSet)

  Overrides:
    `addToResource` in class `ModelImporter`

### adjustGenModel

    protected void adjustGenModel(Monitor monitor)

  Overrides:
    `adjustGenModel` in class `ModelImporter`

### handleOriginalGenModel

    protected void handleOriginalGenModel()
                                   throws DiagnosticException

  Description copied from class: `ModelImporter`
  Subclasses may overwrite this method to perform actions on the reloaded genmodel.

  Overrides:
    `handleOriginalGenModel` in class `ModelImporter`
  Throws:
    `DiagnosticException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.